Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class AbstractArtefactTypeAstTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractArtefactTypeAstTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public abstract class AbstractArtefactTypeAstTransformation
    extends java.lang.Object

Base implementation for the artefact type transformation.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`protected void` | `performInjectionOnArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode cNode, java.lang.String artefactType)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### performInjectionOnArtefactType

    protected void performInjectionOnArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode cNode, java.lang.String artefactType)

Groovy Documentation